<?php use_helper('Object', 'I18N', 'Validation', 'tvtl', 'ModalBox'); ?>
<?php use_helper('Javascript', 'Date', 'DateForm') ?>

<?php echo form_tag('user/update', array('class'=>'mainform', 'name'=>'checkinfo', 'multipart'=>'true')) ?>
<?php echo input_hidden_tag('user_id', $tbluser->getUsId()) ?>
<div class="doc">
  <h2>Thay đổi thông tin thành viên</h2>
  <div class="content">
    <hr>
    <b>Thông tin cá nhân</b>
    <?php if ($tbluser->getUsChecked() == 1):?>
    (<i>Thành viên đã xác thực nên một số thông tin cá nhân không thay đổi được</i>)
    <?php endif;?>
    <?php echo gridTable(array(
      array(4, 6),
      array(__('Họ và tên (*)'), form_error('fullname') . input_tag('fullname', $tbluser->getUsFullname(), array('disabled'=>$isDisabled))),
      array(__('Giới tính (*)'),
        radiobutton_tag('us_sex', 1, $tbluser->getUsSex()==1, array('disabled'=>$isDisabled)).'&nbsp;'.__('Male').'&nbsp;'.
        radiobutton_tag('us_sex', 2, $tbluser->getUsSex()==2, array('disabled'=>$isDisabled)).'&nbsp;'.__('Female')
      ),
      //array(__('Ngày sinh (*)'), input_date_tag('ci_birthday', $tblblogcheckinfo->getCiBirthday(), array('rich' => false, 'year_start'=> 1940, 'year_end'=>2010, 'format' => 'd-M-Y', 'disabled'=>$tbluser->getUsChecked() == 0 ? '' : 'disabled'))),
      array(__('Ngày sinh (*)'), select_day_tag('ci_day', $ci_day, array('include_custom'=>'Ngày'), array('disabled'=>$isDisabled))
                                 . ' - ' . select_month_tag('ci_month', $ci_month, array('include_custom'=>'Tháng', 'use_month_numbers'=>'false'), array('disabled'=>$isDisabled))
                                 . ' - ' . select_year_tag('ci_year', $ci_year, array('include_custom'=>'Năm', 'year_start'=>1940, 'year_end'=>2008), array('disabled'=>$isDisabled))
      ),
      array(__('Số CMND (*)'), form_error('ci_idnumber') . input_tag('ci_idnumber', $tblblogcheckinfo->getCiNumberid(), array('disabled'=>$isDisabled))),
      array(__('Đ/c email'),  form_error('us_email') . input_tag('us_email', $tbluser->getUsEmail())),
      array(__('Điện thoại'), form_error('us_phone') . input_tag('us_phone', $tbluser->getUsPhone())),
      array(__('Giới thiệu, thành tích'), form_error('ci_pr') . "<textarea name='ci_pr' rows='2' cols='40'>".$tblblogcheckinfo->getCiPr()."</textarea>"),
      array(__('Avatar'), form_error('us_avatar') . input_file_tag('us_avatar', '') . '<br>' . $tbluser->getObject()->getAvatar()),
      array('', '<br>'.m_link_to('Thay đổi tên truy nhập và mật khẩu', '/user/changeUser', array('title'=>'Thay đổi tên truy nhập và mật khẩu'))),
    ));?>

    <hr>
    <b>Chức vụ - nơi công tác</b>
    <div class="wfull nowrap">
      <div class="span-3">Chức vụ (*)</div>
      <div class="span-5">
        <?php echo select_tag ('ci_position'
              , options_for_select(blogStore::$position, $tblblogcheckinfo->getCiPosition())
              , array ('onchange'=>'selectPosition(this)',
                        'id'=>'ci_position',
                        'disabled'=>$isDisabled,
                        'style'=>'width: 150px;'
              )
       )?>
      </div>
    </div>
    <!--Nhap thong tin noi cong tac-->
    <div id="school-info">
      <!--province combobox-->
      <?php if ($tblblogshools_province && $provinceInfo):?>
      <div class="wfull nowrap">
        <div class="span-3">Tỉnh/Thành (*)</div>
        <div class="span-5">
          <?php echo select_tag('ci_province'
            , objects_for_select($tblblogshools_province, 'getScId', 'getScName', $provinceInfo->getScId())
            , array('id'=>'ci_province'
                      ,'onchange'=>remote_function(
                          array('update'=>'ci_district',
                                'url'=>'user/loadSchool',
                                'loading' => "Element.show('ajax-loader')",
                                'with' => "'id=' + this.options[this.selectedIndex].value+'&type=1'",
                                ))
                      ,'style'=>'width: 150px'
                      ,'disabled'=>$isDisabled
            )

          )?>
        </div>
      </div>
      <?php endif;?>
      <!--district combobox-->
      <?php if ($tblblogshools_district && $districtInfo):?>
      <div class="wfull nowrap">
        <div class="span-3">Quận/Huyện (*)</div>
        <div class="span-5">
          <?php echo select_tag('ci_district'
            , objects_for_select($tblblogshools_district, 'getScId', 'getScName', ($districtInfo!=null? $districtInfo->getScId():0))
            , array('id'=>'ci_district'
                    , 'onchange'=>remote_function(
                          array('update'=>'ci_school',
                                'url'=>'user/loadSchool',
                                'loading' => "Element.show('ajax-loader')",
                                'with' => "'id=' + this.options[this.selectedIndex].value + '&type=2&position_id='+$('ci_position').value",
                                'style'=>'width: 150px',
                                ))
                    , 'style'=>'width: 250px'
                    , 'disabled'=>$isDisabled
             )
          )?>
        </div>
      </div>
      <?php endif;?>
      <!--school combobox-->
      <?php if ($tblblogschools_schools && $schoolInfo):?>
      <div class="wfull nowrap">
        <div class="span-3">Đơn vị (*)</div>
        <div class="span-5">
          <?php echo select_tag('ci_school'
            , objects_for_select($tblblogschools_schools, 'getScId', 'getScName', ($schoolInfo!=null? $schoolInfo->getScId():0))
            , array('style'=>'width: 250px', 'disabled'=>$isDisabled)
          )?>
        </div>
      </div>
      <?php endif;?>
    </div>

    <br>
    <hr>
    <b>Danh hiệu - Chuyên môn</b>
    <!--Danh hiệu-->
    <?php $badgeid = explode(',', $tblblogcheckinfo->getCiBadge());
      if (!isset($badgeid[0])) $badgeid[0] = 0;
      if (!isset($badgeid[1])) $badgeid[1] = 0;
      if (!isset($badgeid[2])) $badgeid[2] = 0;
    ?>
    <div class="wfull nowrap">
      <div class="span-3">Học hàm</div>
      <?php echo select_tag ('badge1', options_for_select(blogStore::$acad_title[0], $badgeid[0]), array ('style'=>'width: 150px;', 'disabled'=>$isDisabled))?>
      <br>
      <div class="span-3">Học vị</div>
      <?php echo select_tag ('badge2', options_for_select(blogStore::$diploma[0], $badgeid[1]), array ('style'=>'width: 150px;', 'disabled'=>$isDisabled))?>
      <br>
      <div class="span-3">Danh hiệu</div>
      <?php echo select_tag ('badge3', options_for_select(blogStore::$badge[0], $badgeid[2]), array ('style'=>'width: 150px;', 'disabled'=>$isDisabled))?>
    </div>
    <!--Hết danh hiệu-->
    <div class="wfull nowrap" style="padding-top: 10px; display: <?php echo $tblblogcheckinfo->getCiPosition() == 32 ? 'block' : 'none'?>" id="subject2">
      <div class="span-3">Chuyên môn (*)</div>
      <div class="span-10">
        <?php foreach (blogStore::$subject2 as $key => $subject2):?>
          <div style="width: 120px; float: left">
          <?php echo checkbox_tag('subject', $key, in_array ($key, $subjectid ) ) . ' ' . $subject2;?>
          </div>
        <?php endforeach;?>
      </div>
    </div>

    <div class="wfull nowrap" style="padding-top: 10px; display: <?php echo $tblblogcheckinfo->getCiPosition() == 31 ? 'block' : 'none'?>" id="subject1">
      <div class="span-3">Chuyên môn (*)</div>
      <div class="span-10">
        <?php foreach (blogStore::$subject1 as $key => $subject1):?>
          <div class="span-3">
          <?php echo checkbox_tag('subject', $key, in_array ($key, $subjectid )) . ' ' . $subject1;?>
          </div>
        <?php endforeach;?>
      </div>
    </div>

    <hr>
    <input id='submit_button' type="submit" value="Lưu lại và nhờ xác thực" onclick="enableAll(); return checkvalidate()" />
    &nbsp;&nbsp;
    <?php echo link_to('Không lưu lại', '/user/show'); ?>
  </div>
</div>
<input type="hidden" id="ci_subject" name="ci_subject" />
<input type="hidden" name="ci_userid" value="<?php echo $tblblogcheckinfo->getCiUserid()?>" />
</form>

<script>
  function enableAll() {
    $('fullname').disabled = false;
  }
  function checkvalidate() {
    if ($('fullname').value == '') {
      alert('Quý vị phải nhập họ và tên!');
      $('fullname').focus();
      return false;
    }
    var sexopt = document.getElementsByName('us_sex');
    if (!sexopt[0].checked && !sexopt[1].checked) {
      alert('Quý vị phải chọn giới tính!');
      $('us_sex').focus();
      return false;
    }
    if ($('ci_day').value == '') {
      alert('Quý vị phải nhập ngày sinh!');
      $('ci_day').focus();
      return false;
    }
    if ($('ci_month').value == '') {
      alert('Quý vị phải nhập tháng sinh!');
      $('ci_month').focus();
      return false;
    }
    if ($('ci_year').value == '') {
      alert('Quý vị phải nhập năm sinh!');
      $('ci_year').focus();
      return false;
    }
    if ($('ci_idnumber').value == '') {
      alert ('Quý vị phải nhập số Chứng minh nhân dân hoặc Hộ chiếu!');
      $('ci_idnumber').focus();
      return false;
    }
    if ($('ci_position').value == 0) {
      alert ('Quý vị phải chọn chức vụ!');
      $('ci_position').focus();
      return false;
    }
    if ($('ci_province').value == 0) {
      alert ('Quý vị phải chọn Tỉnh!');
      $('ci_province').focus();
      return false;
    }

    if ($('ci_district').value == 0) {
      alert ('Quý vị phải chọn Quận/Huyện!');
      $('ci_district').focus();
      return false;
    }
    if ($('ci_school').value == 0) {
      alert ('Quý vị phải chọn tên đơn vị!');
      $('ci_school').focus();
      return false;
    }

    $('ci_subject').value = getSubjects();
    var selected = $('ci_position').value;
    if ((selected == 31 || selected == 32) && $('ci_subject').value == '') {
      alert ('Quý vị phải chọn chuyên môn của mình!');
      return false;
    }

    return true;
  }

  function getSubjects() {
    var selected = $('ci_position').value;
    if (selected != 31 && selected != 32) return '';
    var n = document.checkinfo.subject.length;
    var idstring = '';
    for (i = 0; i< n; i++) {
      if(document.checkinfo.subject[i].checked)
  		{
        var value = document.checkinfo.subject[i].value;
        if (selected == 31 && value > 10) continue;
        if (selected == 32 && value < 10) continue;
        idstring += (idstring==''? '':',') + value;
  		}
    }
    return idstring;
  }

  function selectPosition(obj) {
    var selected = $('ci_position').value;
    <?php echo remote_function(array(
      'update'=>'school-info',
      'complete'=>'$("submit_button").enable();',
      'url'=>'user/loadAddress',
      'loading' => "Element.show('ajax-loader')",
      'with' => "'id=' + obj.options[obj.selectedIndex].value")).';'
    ?>
		if (selected == 32) { //giáo viên trung học, check theo array blogStore::$position
			$('subject2').show();
			$('subject1').hide();
		} else if (selected == 31) { //giáo viên tiểu học, check theo array blogStore::$position
			$('subject1').show();
			$('subject2').hide();
		} else {
			$('subject1').hide();
			$('subject2').hide();
		}
		$('submit_button').disable();
	}
</script>
